# Generate Proofread

Generates a proofread of a translated video based on the specified parameters.

<Callout icon="📘" theme="info">
  **Note:**

  * This endpoint consumes API credits and is only available to <Anchor label="**Scale** and **Enterprise**" target="_blank" href="https://www.heygen.com/api-pricing">**Scale** and **Enterprise**</Anchor> API plan users.
  * Scroll down to the **Response** section below and expand the status code(s) to view the detailed response schema.
  * Refer to the **RESPONSE** section on the right and choose an example to see how the API response appears for each status code.
</Callout>

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "heygen-api",
    "version": "4.0.8"
  },
  "servers": [
    {
      "url": "https://api.heygen.com"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "name": "x-api-key",
        "in": "header",
        "x-default": "<your-api-key>"
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/v2/video_translate/proofread": {
      "post": {
        "summary": "Generate Proofread",
        "description": "Generates a proofread for a video based on the specified parameters.",
        "operationId": "generate-proofread",
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "properties": {
                  "video_url": {
                    "type": "string",
                    "description": "URL of the video file to generate a proofread. Supports direct video file URLs, Google Drive URLs, and YouTube URLs."
                  },
                  "title": {
                    "type": "string",
                    "description": "Title of the video. "
                  },
                  "output_language": {
                    "type": "string",
                    "description": "The target language in which the proofread will be generated. Either output_language or output_languages must be provided. Omitting both or defining both will result in an error."
                  },
                  "output_languages": {
                    "type": "array",
                    "description": "List of multiple target languages to generate the proofread of the same video in a single request. Enables faster batch processing. Either output_language or output_languages must be provided. Omitting both or defining both will result in an error.",
                    "items": {
                      "type": "string"
                    }
                  },
                  "brand_voice_id": {
                    "type": "string",
                    "description": "Unique identifier of the Brand Glossary. It is used to apply predefined translation and pronunciation rules such as translation exclusions, enforced terms, vocabulary mappings, and tone preferences. Can be retrieved from <a href= \"https://docs.heygen.com/reference/list-brand-voices\" target=\"_blank\"> List Brand Voices </a> endpoint. "
                  },
                  "speaker_num": {
                    "type": "integer",
                    "format": "int32",
                    "description": "Number of speakers in the video."
                  },
                  "folder_id": {
                    "type": "string",
                    "description": "Unique identifier of the folder where the proofread file will be stored stored. Can be retrieved from the <a href=\"https://docs.heygen.com/reference/list-folders\" target=\"_blank\">List Folders</a> endpoint if folder already exists, or from the response of the <a href=\"https://docs.heygen.com/reference/create-folder\" target=\"_blank\">Create Folder</a> endpoint after creating a new folder."
                  },
                  "enable_video_stretching": {
                    "type": "boolean",
                    "description": "Stretch or shrink portions of the video by enabling dynamic duration adjustment to improve conversational fluidity and translation quality between languages with different speaking rates. _It functions the same way as enabling dynamic duration for a video._"
                  },
                  "disable_music_track": {
                    "type": "boolean",
                    "description": "Whether to disable the background music track in the proofread video output. "
                  },
                  "enable_speech_enhancement": {
                    "type": "boolean",
                    "description": "Improve audio clarity and speech quality in the proofread video by applying automatic speech enhancement. "
                  }
                },
                "required": [
                  "video_url",
                  "title",
                  "output_language",
                  "output_languages"
                ]
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Proofreading initiated successfully - Expand to view the detailed response schema.",
            "content": {
              "application/json": {
                "examples": {
                  "Single Proofread Response": {
                    "value": {
                      "error": null,
                      "data": {
                        "proofread_id": "k9654f06dbd347b5vv2c4be0a32b70c5-en-en-ZA",
                        "proofread_ids": null,
                        "status": "processing"
                      }
                    },
                    "summary": "Single Proofread Response"
                  },
                  "Batch Proofread Response": {
                    "summary": "Batch Proofread Response",
                    "value": {
                      "error": null,
                      "data": {
                        "proofread_id": null,
                        "proofread_ids": [
                          "f55bf98ce1824549b829f2529v53a0f0-en-en-ZA",
                          "f55bf98ce1824549b829f2529v53a0f0-hi",
                          "f55bf98ce1824549b829f2529v53a0f0-ur-ur-PK"
                        ],
                        "status": "processing"
                      }
                    }
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "error": {
                      "type": "string",
                      "description": "Displays error message when the request fails; null if the request is successful."
                    },
                    "data": {
                      "type": "object",
                      "properties": {
                        "proofread_id": {
                          "type": "string",
                          "description": "Unique identifier of the generated proofread. "
                        },
                        "proofread_ids": {
                          "type": "string",
                          "description": "Unique identifiers of the proofread, if more than one output language was selected in the request."
                        }
                      },
                      "description": "Contains the proofread file ID(s). "
                    },
                    "status": {
                      "type": "string",
                      "description": "Current status of the generated proofread (e.g., `processing`)."
                    }
                  }
                }
              }
            }
          }
        },
        "deprecated": false
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```